Skip to content

Open Subtasks REST API

Published: 2024-05-15

Return all active subtasks in MDCMS for a specific project and task.

GET /open-subtasks

JSON payloads

All MDCMS REST API response bodies use JSON.

Authorization

Header Type Required Description
Authorization string Yes Bearer token for the MDSEC user. See Authenticate requests to the MDCMS REST API server.

A missing or invalid token returns HTTP 401 Unauthorized.

Query parameters

Parameter Type Required Description
proj string Yes Project ID.
task integer Yes Project task number.

Example

Replace {endpoint} with the URL endpoint defined for the MDCMS HTTP server.

curl -H "Authorization: Bearer {token}" \
  "https://{endpoint}/open-subtasks?proj=DEMO044&task=1"
GET /open-subtasks?proj=DEMO044&task=1 HTTP/1.1
Host: {endpoint}
Authorization: Bearer {token}

Response body

Schema

Property Type Description
subtasks array List of subtask objects.

Subtask object

Property Type Description
proj string Project ID.
task integer Task number.
stsk integer Subtask number.
type string Subtask type.
summary string Subtask summary.

Example

{
  "subtasks": [
    {
      "proj": "DEMO044",
      "task": "1",
      "stsk": "1",
      "type": "ADMIN",
      "summary": "test with 1 subtask"
    }
  ]
}
Resource Description
Task REST API Create, update, or retrieve a task or subtask
Open Tasks REST API List active tasks for a project